Bug Hunting Session
Bug 117247 - External link images are shifted to the right when updated
Summary: External link images are shifted to the right when updated
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: imageHandling-regressions
  Show dependency treegraph
 
Reported: 2018-04-26 09:14 UTC by Xisco Faulí
Modified: 2018-12-08 19:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
How it looks after step 5 (18.69 KB, image/png)
2018-04-26 09:14 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-04-26 09:14:32 UTC
Created attachment 141643 [details]
How it looks after step 5

Steps to reproduce:
1. Open Writer
2. Insert attachment 140431 [details] from bug 116266 as a link: Insert > Image > check 'Link'
3. Click on 'keep link'
4. Edit - Link to External Files
5. Click on Update button

Observed behaviour: The image on the document is shifted to the right

Reproduced in

Version: 6.1.0.0.alpha1+
Build ID: 653e58f9eb3d4ee61d8103993cdff2660c9127a5
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-04-26 09:16:08 UTC
Regression introduced by:

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2018-04-13 16:58:49 +0900
committer	Tomaž Vajngerl <quikee@gmail.com>	2018-04-16 02:52:02 +0200
commit	9fb7aaf570c03c8a26d763f1205fb8c890e8211a (patch)
tree	8f4466b24d9fcae2da5043479a57fabc662a2c43
parent	ba69036c8e889237da4bb312d7c5c94066abbfd3 (diff)
Make linked graphic register into LinkedManager again

Bisected with: bibisect-linux64-6.1

Adding Cc: to Tomaž Vajngerl
Comment 2 Commit Notification 2018-05-23 13:20:03 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7581730b2795a58d4fe6868e2f61572a91fde293

tdf#117247 just send a GRAPHIC_ARRIVED hint after update

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-05-28 13:25:14 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Tomaž, thanks for fixing this!!